--vmp3 by mrafenne



mov1 = 0
mov2 = 0

function nomvis1()
mov2 = 0
if preiw == "fasle" and next == "fasle" then
if mov1 <= 251 and mov1 >= 0 then
mov1 = mov1 +8
end
end
end


statut = "defaut"

while true do
screen:clear()

if pad:circle() then
statut = "affiche"
end
if statut == "affiche" then
nomvis1() 
screen:fillRect(40,mov1,400,1,white)
screen:fillRect(40,mov1,Mp3me.percent()*4,1,green)
screen:fontPrint(font,mov1+120,253,Mp3me.gettime(),green)
screen:fontPrint(font,mov1+120,270,Mp3me.songTime(),white)
screen:fontPrint(font,mov1-215,253,Mp3me.title(),white)
screen:fontPrint(font,mov1-215,270,Mp3me.album(),white)


end
if pad:square() then
statut = "defaut"
end

screen:drawLine(0,235,0,30+Mp3me.vis(0),green)
screen:drawLine(1,235,1,30+Mp3me.vis(1),green)
screen:drawLine(2,235,2,30+Mp3me.vis(2),green)
screen:drawLine(3,235,3,30+Mp3me.vis(3),green)
screen:drawLine(4,235,4,30+Mp3me.vis(4),green)
screen:drawLine(5,235,5,30+Mp3me.vis(5),green)
screen:drawLine(6,235,6,30+Mp3me.vis(6),green)
screen:drawLine(7,235,7,30+Mp3me.vis(7),green)
screen:drawLine(8,235,8,30+Mp3me.vis(8),green)
screen:drawLine(9,235,9,30+Mp3me.vis(9),green)
screen:drawLine(10,235,10,30+Mp3me.vis(10),green)
screen:drawLine(11,235,11,30+Mp3me.vis(11),green)
screen:drawLine(12,235,12,30+Mp3me.vis(12),green)
screen:drawLine(13,235,13,30+Mp3me.vis(13),green)
screen:drawLine(14,235,14,30+Mp3me.vis(14),green)
screen:drawLine(15,235,15,30+Mp3me.vis(15),green)
screen:drawLine(16,235,16,30+Mp3me.vis(16),green)
screen:drawLine(17,235,17,30+Mp3me.vis(17),green)
screen:drawLine(18,235,18,30+Mp3me.vis(18),green)
screen:drawLine(19,235,19,30+Mp3me.vis(19),green)
screen:drawLine(20,235,20,30+Mp3me.vis(20),green)
screen:drawLine(21,235,21,30+Mp3me.vis(21),green)
screen:drawLine(22,235,22,30+Mp3me.vis(22),green)
screen:drawLine(23,235,23,30+Mp3me.vis(23),green)
screen:drawLine(24,235,24,30+Mp3me.vis(24),green)
screen:drawLine(25,235,25,30+Mp3me.vis(25),green)
screen:drawLine(26,235,26,30+Mp3me.vis(26),green)
screen:drawLine(27,235,27,30+Mp3me.vis(27),green)
screen:drawLine(28,235,28,30+Mp3me.vis(28),green)
screen:drawLine(29,235,29,30+Mp3me.vis(29),green)
screen:drawLine(30,235,30,30+Mp3me.vis(30),green)
screen:drawLine(31,235,31,30+Mp3me.vis(31),green)
screen:drawLine(32,235,32,30+Mp3me.vis(32),green)
screen:drawLine(33,235,33,30+Mp3me.vis(33),green)
screen:drawLine(34,235,34,30+Mp3me.vis(34),green)
screen:drawLine(35,235,35,30+Mp3me.vis(35),green)
screen:drawLine(36,235,36,30+Mp3me.vis(36),green)
screen:drawLine(37,235,37,30+Mp3me.vis(37),green)
screen:drawLine(38,235,38,30+Mp3me.vis(38),green)
screen:drawLine(39,235,39,30+Mp3me.vis(39),green)
screen:drawLine(40,235,40,30+Mp3me.vis(40),green)
screen:drawLine(41,235,41,30+Mp3me.vis(41),green)
screen:drawLine(42,235,42,30+Mp3me.vis(42),green)
screen:drawLine(43,235,43,30+Mp3me.vis(43),green)
screen:drawLine(44,235,44,30+Mp3me.vis(44),green)
screen:drawLine(45,235,45,30+Mp3me.vis(45),green)
screen:drawLine(46,235,46,30+Mp3me.vis(46),green)
screen:drawLine(47,235,47,30+Mp3me.vis(47),green)
screen:drawLine(48,235,48,30+Mp3me.vis(48),green)
screen:drawLine(49,235,49,30+Mp3me.vis(49),green)
screen:drawLine(50,235,50,30+Mp3me.vis(50),green)
screen:drawLine(51,235,51,30+Mp3me.vis(51),green)
screen:drawLine(52,235,52,30+Mp3me.vis(52),green)
screen:drawLine(53,235,53,30+Mp3me.vis(53),green)
screen:drawLine(54,235,54,30+Mp3me.vis(54),green)
screen:drawLine(55,235,55,30+Mp3me.vis(55),green)
screen:drawLine(56,235,56,30+Mp3me.vis(56),green)
screen:drawLine(57,235,57,30+Mp3me.vis(57),green)
screen:drawLine(58,235,58,30+Mp3me.vis(58),green)
screen:drawLine(59,235,59,30+Mp3me.vis(59),green)
screen:drawLine(60,235,60,30+Mp3me.vis(60),green)
screen:drawLine(61,235,61,30+Mp3me.vis(61),green)
screen:drawLine(62,235,62,30+Mp3me.vis(62),green)
screen:drawLine(63,235,63,30+Mp3me.vis(63),green)
screen:drawLine(64,235,64,30+Mp3me.vis(64),green)
screen:drawLine(65,235,65,30+Mp3me.vis(65),green)
screen:drawLine(66,235,66,30+Mp3me.vis(66),green)
screen:drawLine(67,235,67,30+Mp3me.vis(67),green)
screen:drawLine(68,235,68,30+Mp3me.vis(68),green)
screen:drawLine(69,235,69,30+Mp3me.vis(69),green)
screen:drawLine(70,235,70,30+Mp3me.vis(70),green)
screen:drawLine(71,235,71,30+Mp3me.vis(71),green)
screen:drawLine(72,235,72,30+Mp3me.vis(72),green)
screen:drawLine(73,235,73,30+Mp3me.vis(73),green)
screen:drawLine(74,235,74,30+Mp3me.vis(74),green)
screen:drawLine(75,235,75,30+Mp3me.vis(75),green)
screen:drawLine(76,235,76,30+Mp3me.vis(76),green)
screen:drawLine(77,235,77,30+Mp3me.vis(77),green)
screen:drawLine(78,235,78,30+Mp3me.vis(78),green)
screen:drawLine(79,235,79,30+Mp3me.vis(79),green)
screen:drawLine(80,235,80,30+Mp3me.vis(80),green)
screen:drawLine(81,235,81,30+Mp3me.vis(81),green)
screen:drawLine(82,235,82,30+Mp3me.vis(82),green)
screen:drawLine(83,235,83,30+Mp3me.vis(83),green)
screen:drawLine(84,235,84,30+Mp3me.vis(84),green)
screen:drawLine(85,235,85,30+Mp3me.vis(85),green)
screen:drawLine(86,235,86,30+Mp3me.vis(86),green)
screen:drawLine(87,235,87,30+Mp3me.vis(87),green)
screen:drawLine(88,235,88,30+Mp3me.vis(88),green)
screen:drawLine(89,235,89,30+Mp3me.vis(89),green)
screen:drawLine(90,235,90,30+Mp3me.vis(90),green)
screen:drawLine(91,235,91,30+Mp3me.vis(91),green)
screen:drawLine(92,235,92,30+Mp3me.vis(92),green)
screen:drawLine(93,235,93,30+Mp3me.vis(93),green)
screen:drawLine(94,235,94,30+Mp3me.vis(94),green)
screen:drawLine(95,235,95,30+Mp3me.vis(95),green)
screen:drawLine(96,235,96,30+Mp3me.vis(96),green)
screen:drawLine(97,235,97,30+Mp3me.vis(97),green)
screen:drawLine(98,235,98,30+Mp3me.vis(98),green)
screen:drawLine(99,235,99,30+Mp3me.vis(99),green)
screen:drawLine(100,235,100,30+Mp3me.vis(100),green)
screen:drawLine(101,235,101,30+Mp3me.vis(101),green)
screen:drawLine(102,235,102,30+Mp3me.vis(102),green)
screen:drawLine(103,235,103,30+Mp3me.vis(103),green)
screen:drawLine(104,235,104,30+Mp3me.vis(104),green)
screen:drawLine(105,235,105,30+Mp3me.vis(105),green)
screen:drawLine(106,235,106,30+Mp3me.vis(106),green)
screen:drawLine(107,235,107,30+Mp3me.vis(107),green)
screen:drawLine(108,235,108,30+Mp3me.vis(108),green)
screen:drawLine(109,235,109,30+Mp3me.vis(109),green)
screen:drawLine(110,235,110,30+Mp3me.vis(110),green)
screen:drawLine(111,235,111,30+Mp3me.vis(111),green)
screen:drawLine(112,235,112,30+Mp3me.vis(112),green)
screen:drawLine(113,235,113,30+Mp3me.vis(113),green)
screen:drawLine(114,235,114,30+Mp3me.vis(114),green)
screen:drawLine(115,235,115,30+Mp3me.vis(115),green)
screen:drawLine(116,235,116,30+Mp3me.vis(116),green)
screen:drawLine(117,235,117,30+Mp3me.vis(117),green)
screen:drawLine(118,235,118,30+Mp3me.vis(118),green)
screen:drawLine(119,235,119,30+Mp3me.vis(119),green)
screen:drawLine(120,235,120,30+Mp3me.vis(120),green)
screen:drawLine(121,235,121,30+Mp3me.vis(121),green)
screen:drawLine(122,235,122,30+Mp3me.vis(122),green)
screen:drawLine(123,235,123,30+Mp3me.vis(123),green)
screen:drawLine(124,235,124,30+Mp3me.vis(124),green)
screen:drawLine(125,235,125,30+Mp3me.vis(125),green)
screen:drawLine(126,235,126,30+Mp3me.vis(126),green)
screen:drawLine(127,235,127,30+Mp3me.vis(127),green)
screen:drawLine(128,235,128,30+Mp3me.vis(128),green)
screen:drawLine(129,235,129,30+Mp3me.vis(129),green)
screen:drawLine(130,235,130,30+Mp3me.vis(130),green)
screen:drawLine(131,235,131,30+Mp3me.vis(131),green)
screen:drawLine(132,235,132,30+Mp3me.vis(132),green)
screen:drawLine(133,235,133,30+Mp3me.vis(133),green)
screen:drawLine(134,235,134,30+Mp3me.vis(134),green)
screen:drawLine(135,235,135,30+Mp3me.vis(135),green)
screen:drawLine(136,235,136,30+Mp3me.vis(136),green)
screen:drawLine(137,235,137,30+Mp3me.vis(137),green)
screen:drawLine(138,235,138,30+Mp3me.vis(138),green)
screen:drawLine(139,235,139,30+Mp3me.vis(139),green)
screen:drawLine(140,235,140,30+Mp3me.vis(140),green)
screen:drawLine(141,235,141,30+Mp3me.vis(141),green)
screen:drawLine(142,235,142,30+Mp3me.vis(142),green)
screen:drawLine(143,235,143,30+Mp3me.vis(143),green)
screen:drawLine(144,235,144,30+Mp3me.vis(144),green)
screen:drawLine(145,235,145,30+Mp3me.vis(145),green)
screen:drawLine(146,235,146,30+Mp3me.vis(146),green)
screen:drawLine(147,235,147,30+Mp3me.vis(147),green)
screen:drawLine(148,235,148,30+Mp3me.vis(148),green)
screen:drawLine(149,235,149,30+Mp3me.vis(149),green)
screen:drawLine(150,235,150,30+Mp3me.vis(150),green)
screen:drawLine(151,235,151,30+Mp3me.vis(151),green)
screen:drawLine(152,235,152,30+Mp3me.vis(152),green)
screen:drawLine(153,235,153,30+Mp3me.vis(153),green)
screen:drawLine(154,235,154,30+Mp3me.vis(154),green)
screen:drawLine(155,235,155,30+Mp3me.vis(155),green)
screen:drawLine(156,235,156,30+Mp3me.vis(156),green)
screen:drawLine(157,235,157,30+Mp3me.vis(157),green)
screen:drawLine(158,235,158,30+Mp3me.vis(158),green)
screen:drawLine(159,235,159,30+Mp3me.vis(159),green)
screen:drawLine(160,235,160,30+Mp3me.vis(160),green)
screen:drawLine(161,235,161,30+Mp3me.vis(161),green)
screen:drawLine(162,235,162,30+Mp3me.vis(162),green)
screen:drawLine(163,235,163,30+Mp3me.vis(163),green)
screen:drawLine(164,235,164,30+Mp3me.vis(164),green)
screen:drawLine(165,235,165,30+Mp3me.vis(165),green)
screen:drawLine(166,235,166,30+Mp3me.vis(166),green)
screen:drawLine(167,235,167,30+Mp3me.vis(167),green)
screen:drawLine(168,235,168,30+Mp3me.vis(168),green)
screen:drawLine(169,235,169,30+Mp3me.vis(169),green)
screen:drawLine(170,235,170,30+Mp3me.vis(170),green)
screen:drawLine(171,235,171,30+Mp3me.vis(171),green)
screen:drawLine(172,235,172,30+Mp3me.vis(172),green)
screen:drawLine(173,235,173,30+Mp3me.vis(173),green)
screen:drawLine(174,235,174,30+Mp3me.vis(174),green)
screen:drawLine(175,235,175,30+Mp3me.vis(175),green)
screen:drawLine(176,235,176,30+Mp3me.vis(176),green)
screen:drawLine(177,235,177,30+Mp3me.vis(177),green)
screen:drawLine(178,235,178,30+Mp3me.vis(178),green)
screen:drawLine(179,235,179,30+Mp3me.vis(179),green)
screen:drawLine(180,235,180,30+Mp3me.vis(180),green)
screen:drawLine(181,235,181,30+Mp3me.vis(181),green)
screen:drawLine(182,235,182,30+Mp3me.vis(182),green)
screen:drawLine(183,235,183,30+Mp3me.vis(183),green)
screen:drawLine(184,235,184,30+Mp3me.vis(184),green)
screen:drawLine(185,235,185,30+Mp3me.vis(185),green)
screen:drawLine(186,235,186,30+Mp3me.vis(186),green)
screen:drawLine(187,235,187,30+Mp3me.vis(187),green)
screen:drawLine(188,235,188,30+Mp3me.vis(188),green)
screen:drawLine(189,235,189,30+Mp3me.vis(189),green)
screen:drawLine(190,235,190,30+Mp3me.vis(190),green)
screen:drawLine(191,235,191,30+Mp3me.vis(191),green)
screen:drawLine(192,235,192,30+Mp3me.vis(192),green)
screen:drawLine(193,235,193,30+Mp3me.vis(193),green)
screen:drawLine(194,235,194,30+Mp3me.vis(194),green)
screen:drawLine(195,235,195,30+Mp3me.vis(195),green)
screen:drawLine(196,235,196,30+Mp3me.vis(196),green)
screen:drawLine(197,235,197,30+Mp3me.vis(197),green)
screen:drawLine(198,235,198,30+Mp3me.vis(198),green)
screen:drawLine(199,235,199,30+Mp3me.vis(199),green)
screen:drawLine(200,235,200,30+Mp3me.vis(200),green)
screen:drawLine(201,235,201,30+Mp3me.vis(201),green)
screen:drawLine(202,235,202,30+Mp3me.vis(202),green)
screen:drawLine(203,235,203,30+Mp3me.vis(203),green)
screen:drawLine(204,235,204,30+Mp3me.vis(204),green)
screen:drawLine(205,235,205,30+Mp3me.vis(205),green)
screen:drawLine(206,235,206,30+Mp3me.vis(206),green)
screen:drawLine(207,235,207,30+Mp3me.vis(207),green)
screen:drawLine(208,235,208,30+Mp3me.vis(208),green)
screen:drawLine(209,235,209,30+Mp3me.vis(209),green)
screen:drawLine(210,235,210,30+Mp3me.vis(210),green)
screen:drawLine(211,235,211,30+Mp3me.vis(211),green)
screen:drawLine(212,235,212,30+Mp3me.vis(212),green)
screen:drawLine(213,235,213,30+Mp3me.vis(213),green)
screen:drawLine(214,235,214,30+Mp3me.vis(214),green)
screen:drawLine(215,235,215,30+Mp3me.vis(215),green)
screen:drawLine(216,235,216,30+Mp3me.vis(216),green)
screen:drawLine(217,235,217,30+Mp3me.vis(217),green)
screen:drawLine(218,235,218,30+Mp3me.vis(218),green)
screen:drawLine(219,235,219,30+Mp3me.vis(219),green)
screen:drawLine(220,235,220,30+Mp3me.vis(220),green)
screen:drawLine(221,235,221,30+Mp3me.vis(221),green)
screen:drawLine(222,235,222,30+Mp3me.vis(222),green)
screen:drawLine(223,235,223,30+Mp3me.vis(223),green)
screen:drawLine(224,235,224,30+Mp3me.vis(224),green)
screen:drawLine(225,235,225,30+Mp3me.vis(225),green)
screen:drawLine(226,235,226,30+Mp3me.vis(226),green)
screen:drawLine(227,235,227,30+Mp3me.vis(227),green)
screen:drawLine(228,235,228,30+Mp3me.vis(228),green)
screen:drawLine(229,235,229,30+Mp3me.vis(229),green)
screen:drawLine(230,235,230,30+Mp3me.vis(230),green)
screen:drawLine(231,235,231,30+Mp3me.vis(231),green)
screen:drawLine(232,235,232,30+Mp3me.vis(232),green)
screen:drawLine(233,235,233,30+Mp3me.vis(233),green)
screen:drawLine(234,235,234,30+Mp3me.vis(234),green)
screen:drawLine(235,235,235,30+Mp3me.vis(235),green)
screen:drawLine(236,235,236,30+Mp3me.vis(236),green)
screen:drawLine(237,235,237,30+Mp3me.vis(237),green)
screen:drawLine(238,235,238,30+Mp3me.vis(238),green)
screen:drawLine(239,235,239,30+Mp3me.vis(239),green)
screen:drawLine(240,235,240,30+Mp3me.vis(240),green)
screen:drawLine(241,235,241,30+Mp3me.vis(241),green)
screen:drawLine(242,235,242,30+Mp3me.vis(242),green)
screen:drawLine(243,235,243,30+Mp3me.vis(243),green)
screen:drawLine(244,235,244,30+Mp3me.vis(244),green)
screen:drawLine(245,235,245,30+Mp3me.vis(245),green)
screen:drawLine(246,235,246,30+Mp3me.vis(246),green)
screen:drawLine(247,235,247,30+Mp3me.vis(247),green)
screen:drawLine(248,235,248,30+Mp3me.vis(248),green)
screen:drawLine(249,235,249,30+Mp3me.vis(249),green)
screen:drawLine(250,235,250,30+Mp3me.vis(250),green)
screen:drawLine(251,235,251,30+Mp3me.vis(251),green)
screen:drawLine(252,235,252,30+Mp3me.vis(252),green)
screen:drawLine(253,235,253,30+Mp3me.vis(253),green)
screen:drawLine(254,235,254,30+Mp3me.vis(254),green)
screen:drawLine(255,235,255,30+Mp3me.vis(255),green)
screen:drawLine(256,235,256,30+Mp3me.vis(256),green)
screen:drawLine(257,235,257,30+Mp3me.vis(257),green)
screen:drawLine(258,235,258,30+Mp3me.vis(258),green)
screen:drawLine(259,235,259,30+Mp3me.vis(259),green)
screen:drawLine(260,235,260,30+Mp3me.vis(260),green)
screen:drawLine(261,235,261,30+Mp3me.vis(261),green)
screen:drawLine(262,235,262,30+Mp3me.vis(262),green)
screen:drawLine(263,235,263,30+Mp3me.vis(263),green)
screen:drawLine(264,235,264,30+Mp3me.vis(264),green)
screen:drawLine(265,235,265,30+Mp3me.vis(265),green)
screen:drawLine(266,235,266,30+Mp3me.vis(266),green)
screen:drawLine(267,235,267,30+Mp3me.vis(267),green)
screen:drawLine(268,235,268,30+Mp3me.vis(268),green)
screen:drawLine(269,235,269,30+Mp3me.vis(269),green)
screen:drawLine(270,235,270,30+Mp3me.vis(270),green)
screen:drawLine(271,235,271,30+Mp3me.vis(271),green)
screen:drawLine(272,235,272,30+Mp3me.vis(272),green)
screen:drawLine(273,235,273,30+Mp3me.vis(273),green)
screen:drawLine(274,235,274,30+Mp3me.vis(274),green)
screen:drawLine(275,235,275,30+Mp3me.vis(275),green)
screen:drawLine(276,235,276,30+Mp3me.vis(276),green)
screen:drawLine(277,235,277,30+Mp3me.vis(277),green)
screen:drawLine(278,235,278,30+Mp3me.vis(278),green)
screen:drawLine(279,235,279,30+Mp3me.vis(279),green)
screen:drawLine(280,235,280,30+Mp3me.vis(280),green)
screen:drawLine(281,235,281,30+Mp3me.vis(281),green)
screen:drawLine(282,235,282,30+Mp3me.vis(282),green)
screen:drawLine(283,235,283,30+Mp3me.vis(283),green)
screen:drawLine(284,235,284,30+Mp3me.vis(284),green)
screen:drawLine(285,235,285,30+Mp3me.vis(285),green)
screen:drawLine(286,235,286,30+Mp3me.vis(286),green)
screen:drawLine(287,235,287,30+Mp3me.vis(287),green)
screen:drawLine(288,235,288,30+Mp3me.vis(288),green)
screen:drawLine(289,235,289,30+Mp3me.vis(289),green)
screen:drawLine(290,235,290,30+Mp3me.vis(290),green)
screen:drawLine(291,235,291,30+Mp3me.vis(291),green)
screen:drawLine(292,235,292,30+Mp3me.vis(292),green)
screen:drawLine(293,235,293,30+Mp3me.vis(293),green)
screen:drawLine(294,235,294,30+Mp3me.vis(294),green)
screen:drawLine(295,235,295,30+Mp3me.vis(295),green)
screen:drawLine(296,235,296,30+Mp3me.vis(296),green)
screen:drawLine(297,235,297,30+Mp3me.vis(297),green)
screen:drawLine(298,235,298,30+Mp3me.vis(298),green)
screen:drawLine(299,235,299,30+Mp3me.vis(299),green)
screen:drawLine(300,235,300,30+Mp3me.vis(300),green)
screen:drawLine(301,235,301,30+Mp3me.vis(303),green)
screen:drawLine(302,235,302,30+Mp3me.vis(303),green)
screen:drawLine(303,235,303,30+Mp3me.vis(303),green)
screen:drawLine(304,235,304,30+Mp3me.vis(304),green)
screen:drawLine(305,235,305,30+Mp3me.vis(305),green)
screen:drawLine(306,235,306,30+Mp3me.vis(306),green)
screen:drawLine(307,235,307,30+Mp3me.vis(307),green)
screen:drawLine(308,235,308,30+Mp3me.vis(308),green)
screen:drawLine(309,235,309,30+Mp3me.vis(309),green)
screen:drawLine(310,235,310,30+Mp3me.vis(310),green)
screen:drawLine(311,235,311,30+Mp3me.vis(311),green)
screen:drawLine(312,235,312,30+Mp3me.vis(312),green)
screen:drawLine(313,235,313,30+Mp3me.vis(313),green)
screen:drawLine(314,235,314,30+Mp3me.vis(314),green)
screen:drawLine(315,235,315,30+Mp3me.vis(315),green)
screen:drawLine(316,235,316,30+Mp3me.vis(316),green)
screen:drawLine(317,235,317,30+Mp3me.vis(317),green)
screen:drawLine(318,235,318,30+Mp3me.vis(318),green)
screen:drawLine(319,235,319,30+Mp3me.vis(319),green)
screen:drawLine(320,235,320,30+Mp3me.vis(320),green)
screen:drawLine(321,235,321,30+Mp3me.vis(321),green)
screen:drawLine(322,235,322,30+Mp3me.vis(322),green)
screen:drawLine(323,235,323,30+Mp3me.vis(323),green)
screen:drawLine(324,235,324,30+Mp3me.vis(324),green)
screen:drawLine(325,235,325,30+Mp3me.vis(325),green)
screen:drawLine(326,235,326,30+Mp3me.vis(326),green)
screen:drawLine(327,235,327,30+Mp3me.vis(327),green)
screen:drawLine(328,235,328,30+Mp3me.vis(328),green)
screen:drawLine(329,235,329,30+Mp3me.vis(329),green)
screen:drawLine(330,235,330,30+Mp3me.vis(330),green)
screen:drawLine(331,235,331,30+Mp3me.vis(331),green)
screen:drawLine(332,235,332,30+Mp3me.vis(332),green)
screen:drawLine(333,235,333,30+Mp3me.vis(333),green)
screen:drawLine(334,235,334,30+Mp3me.vis(334),green)
screen:drawLine(335,235,335,30+Mp3me.vis(335),green)
screen:drawLine(336,235,336,30+Mp3me.vis(336),green)
screen:drawLine(337,235,337,30+Mp3me.vis(337),green)
screen:drawLine(338,235,338,30+Mp3me.vis(338),green)
screen:drawLine(339,235,339,30+Mp3me.vis(339),green)
screen:drawLine(340,235,340,30+Mp3me.vis(340),green)
screen:drawLine(341,235,341,30+Mp3me.vis(341),green)
screen:drawLine(342,235,342,30+Mp3me.vis(342),green)
screen:drawLine(343,235,343,30+Mp3me.vis(343),green)
screen:drawLine(344,235,344,30+Mp3me.vis(344),green)
screen:drawLine(345,235,345,30+Mp3me.vis(345),green)
screen:drawLine(346,235,346,30+Mp3me.vis(346),green)
screen:drawLine(347,235,347,30+Mp3me.vis(347),green)
screen:drawLine(348,235,348,30+Mp3me.vis(348),green)
screen:drawLine(349,235,349,30+Mp3me.vis(349),green)
screen:drawLine(350,235,350,30+Mp3me.vis(350),green)
screen:drawLine(351,235,351,30+Mp3me.vis(351),green)
screen:drawLine(352,235,352,30+Mp3me.vis(352),green)
screen:drawLine(353,235,353,30+Mp3me.vis(353),green)
screen:drawLine(354,235,354,30+Mp3me.vis(354),green)
screen:drawLine(355,235,355,30+Mp3me.vis(355),green)
screen:drawLine(356,235,356,30+Mp3me.vis(356),green)
screen:drawLine(357,235,357,30+Mp3me.vis(357),green)
screen:drawLine(358,235,358,30+Mp3me.vis(358),green)
screen:drawLine(359,235,359,30+Mp3me.vis(359),green)
screen:drawLine(360,235,360,30+Mp3me.vis(360),green)
screen:drawLine(361,235,361,30+Mp3me.vis(361),green)
screen:drawLine(362,235,362,30+Mp3me.vis(362),green)
screen:drawLine(363,235,363,30+Mp3me.vis(363),green)
screen:drawLine(364,235,364,30+Mp3me.vis(364),green)
screen:drawLine(365,235,365,30+Mp3me.vis(365),green)
screen:drawLine(366,235,366,30+Mp3me.vis(366),green)
screen:drawLine(367,235,367,30+Mp3me.vis(367),green)
screen:drawLine(368,235,368,30+Mp3me.vis(368),green)
screen:drawLine(369,235,369,30+Mp3me.vis(369),green)
screen:drawLine(370,235,370,30+Mp3me.vis(370),green)
screen:drawLine(371,235,371,30+Mp3me.vis(371),green)
screen:drawLine(372,235,372,30+Mp3me.vis(372),green)
screen:drawLine(373,235,373,30+Mp3me.vis(373),green)
screen:drawLine(374,235,374,30+Mp3me.vis(374),green)
screen:drawLine(375,235,375,30+Mp3me.vis(375),green)
screen:drawLine(376,235,376,30+Mp3me.vis(376),green)
screen:drawLine(377,235,377,30+Mp3me.vis(377),green)
screen:drawLine(378,235,378,30+Mp3me.vis(378),green)
screen:drawLine(379,235,379,30+Mp3me.vis(379),green)
screen:drawLine(380,235,380,30+Mp3me.vis(380),green)
screen:drawLine(381,235,381,30+Mp3me.vis(381),green)
screen:drawLine(382,235,382,30+Mp3me.vis(382),green)
screen:drawLine(383,235,383,30+Mp3me.vis(383),green)
screen:drawLine(384,235,384,30+Mp3me.vis(384),green)
screen:drawLine(385,235,385,30+Mp3me.vis(385),green)
screen:drawLine(386,235,386,30+Mp3me.vis(386),green)
screen:drawLine(387,235,387,30+Mp3me.vis(387),green)
screen:drawLine(388,235,388,30+Mp3me.vis(388),green)
screen:drawLine(389,235,389,30+Mp3me.vis(389),green)
screen:drawLine(390,235,390,30+Mp3me.vis(390),green)
screen:drawLine(391,235,391,30+Mp3me.vis(393),green)
screen:drawLine(392,235,392,30+Mp3me.vis(393),green)
screen:drawLine(393,235,393,30+Mp3me.vis(393),green)
screen:drawLine(394,235,394,30+Mp3me.vis(394),green)
screen:drawLine(395,235,395,30+Mp3me.vis(395),green)
screen:drawLine(396,235,396,30+Mp3me.vis(396),green)
screen:drawLine(397,235,397,30+Mp3me.vis(397),green)
screen:drawLine(398,235,398,30+Mp3me.vis(398),green)
screen:drawLine(399,235,399,30+Mp3me.vis(399),green)
screen:drawLine(400,235,400,30+Mp3me.vis(400),green)
screen:drawLine(401,235,401,30+Mp3me.vis(401),green)
screen:drawLine(402,235,402,30+Mp3me.vis(402),green)
screen:drawLine(403,235,403,30+Mp3me.vis(403),green)
screen:drawLine(404,235,404,30+Mp3me.vis(404),green)
screen:drawLine(405,235,405,30+Mp3me.vis(405),green)
screen:drawLine(406,235,406,30+Mp3me.vis(406),green)
screen:drawLine(407,235,407,30+Mp3me.vis(407),green)
screen:drawLine(408,235,408,30+Mp3me.vis(408),green)
screen:drawLine(409,235,409,30+Mp3me.vis(409),green)
screen:drawLine(410,235,410,30+Mp3me.vis(410),green)
screen:drawLine(411,235,411,30+Mp3me.vis(411),green)
screen:drawLine(412,235,412,30+Mp3me.vis(412),green)
screen:drawLine(413,235,413,30+Mp3me.vis(413),green)
screen:drawLine(414,235,414,30+Mp3me.vis(414),green)
screen:drawLine(415,235,415,30+Mp3me.vis(415),green)
screen:drawLine(416,235,416,30+Mp3me.vis(416),green)
screen:drawLine(417,235,417,30+Mp3me.vis(417),green)
screen:drawLine(418,235,418,30+Mp3me.vis(418),green)
screen:drawLine(419,235,419,30+Mp3me.vis(419),green)
screen:drawLine(420,235,420,30+Mp3me.vis(420),green)
screen:drawLine(421,235,421,30+Mp3me.vis(421),green)
screen:drawLine(422,235,422,30+Mp3me.vis(422),green)
screen:drawLine(423,235,423,30+Mp3me.vis(423),green)
screen:drawLine(424,235,424,30+Mp3me.vis(424),green)
screen:drawLine(425,235,425,30+Mp3me.vis(425),green)
screen:drawLine(426,235,426,30+Mp3me.vis(426),green)
screen:drawLine(427,235,427,30+Mp3me.vis(427),green)
screen:drawLine(428,235,428,30+Mp3me.vis(428),green)
screen:drawLine(429,235,429,30+Mp3me.vis(429),green)
screen:drawLine(430,235,430,30+Mp3me.vis(430),green)
screen:drawLine(431,235,431,30+Mp3me.vis(431),green)
screen:drawLine(432,235,432,30+Mp3me.vis(432),green)
screen:drawLine(433,235,433,30+Mp3me.vis(433),green)
screen:drawLine(434,235,434,30+Mp3me.vis(434),green)
screen:drawLine(435,235,435,30+Mp3me.vis(435),green)
screen:drawLine(436,235,436,30+Mp3me.vis(436),green)
screen:drawLine(437,235,437,30+Mp3me.vis(437),green)
screen:drawLine(438,235,438,30+Mp3me.vis(438),green)
screen:drawLine(439,235,439,30+Mp3me.vis(439),green)
screen:drawLine(440,235,440,30+Mp3me.vis(440),green)
screen:drawLine(441,235,441,30+Mp3me.vis(441),green)
screen:drawLine(442,235,442,30+Mp3me.vis(442),green)
screen:drawLine(443,235,443,30+Mp3me.vis(442),green)
screen:drawLine(444,235,444,30+Mp3me.vis(444),green)
screen:drawLine(445,235,445,30+Mp3me.vis(445),green)
screen:drawLine(446,235,446,30+Mp3me.vis(446),green)
screen:drawLine(447,235,447,30+Mp3me.vis(447),green)
screen:drawLine(448,235,448,30+Mp3me.vis(448),green)
screen:drawLine(449,235,449,30+Mp3me.vis(449),green)
screen:drawLine(450,235,450,30+Mp3me.vis(450),green)
screen:drawLine(451,235,451,30+Mp3me.vis(451),green)
screen:drawLine(452,235,452,30+Mp3me.vis(452),green)
screen:drawLine(453,235,453,30+Mp3me.vis(453),green)
screen:drawLine(454,235,454,30+Mp3me.vis(454),green)
screen:drawLine(455,235,455,30+Mp3me.vis(455),green)
screen:drawLine(456,235,456,30+Mp3me.vis(456),green)
screen:drawLine(457,235,457,30+Mp3me.vis(457),green)
screen:drawLine(458,235,458,30+Mp3me.vis(458),green)
screen:drawLine(459,235,459,30+Mp3me.vis(459),green)
screen:drawLine(460,235,460,30+Mp3me.vis(460),green)
screen:drawLine(461,235,461,30+Mp3me.vis(461),green)
screen:drawLine(462,235,462,30+Mp3me.vis(462),green)
screen:drawLine(463,235,463,30+Mp3me.vis(463),green)
screen:drawLine(464,235,464,30+Mp3me.vis(464),green)
screen:drawLine(465,235,465,30+Mp3me.vis(465),green)
screen:drawLine(466,235,466,30+Mp3me.vis(466),green)
screen:drawLine(467,235,467,30+Mp3me.vis(467),green)
screen:drawLine(468,235,468,30+Mp3me.vis(468),green)
screen:drawLine(469,235,469,30+Mp3me.vis(469),green)
screen:drawLine(470,235,470,30+Mp3me.vis(470),green)
screen:drawLine(471,235,471,30+Mp3me.vis(471),green)
screen:drawLine(472,235,472,30+Mp3me.vis(472),green)
screen:drawLine(473,235,473,30+Mp3me.vis(473),green)
screen:drawLine(474,235,474,30+Mp3me.vis(474),green)
screen:drawLine(475,235,475,30+Mp3me.vis(475),green)
screen:drawLine(476,235,476,30+Mp3me.vis(476),green)
screen:drawLine(477,235,477,30+Mp3me.vis(477),green)
screen:drawLine(478,235,478,30+Mp3me.vis(478),green)
screen:drawLine(479,235,479,30+Mp3me.vis(479),green)
screen:drawLine(480,235,480,30+Mp3me.vis(480),green)

pad = Controls.read()


if pad:r() and not oldpad:r() then
if fbrowser.s < (fbrowser.nf + 1) then
i = fbrowser.s + 1
if i < (fbrowser.nf + 1) then
if string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".mp3" or
string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".MP3" then
fbrowser.s = fbrowser.s + 1
Mp3me.stop()
screen:clear()
Mp3me.load(fbrowser.fl[fbrowser.s].name)
Mp3me.play()
end
end
end
end

if pad:l() and not oldpad:l() then
if fbrowser.s < (fbrowser.nf + 1) and fbrowser.s > 2 then
i = fbrowser.s - 1
if i < (fbrowser.nf + 1) and i > 2 then
if string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".mp3" or
string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".MP3" then
Mp3me.stop()
screen:clear()
fbrowser.s = fbrowser.s - 1
Mp3me.load(fbrowser.fl[fbrowser.s].name)
Mp3me.play()
end
end
end
end

if pad:cross() and not oldpad:cross() then
Mp3me.pause()
end

if pad:left() then
screen.waitVblankStart(50)
dofile("ms0:/PSP/GAME/vmp3v1/Ibis/vmp38.lua")
end

if pad:right() then
screen.waitVblankStart(50)
dofile("ms0:/PSP/GAME/vmp3v1/Ibis/vmp310.lua")
end

if pad:triangle() then
screen.waitVblankStart(50)
dofile("ms0:/PSP/GAME/vmp3v1/menu.lua")
end


if pad:start() then 
screen.waitVblankStart(50)
dofile("ms0:/PSP/GAME/vmp3v1/script1.lua")
exitMenu()
end


screen.waitVblankStart()
screen.flip()
oldpad = pad
end


